Mellomlagsfeil for .NET Framework-versjonen og plattformstøtten

VIKTIG: Denne artikkelen ble oversatt med maskinoversettelsesprogramvare fra Microsoft og muligens redigert av Microsoft Community via CTF-teknologi i stedet for av en oversetter. Microsoft tilbyr både menneskelig oversatte og maskinoversatte/Community-redigerte artikler, slik at du får tilgang til alle artiklene i vår Knowledge Base på ditt eget språk. En maskinoversatt eller Community-redigert artikkel er imidlertid ikke alltid perfekt. Den kan inneholde feil i vokabular, syntaks eller grammatikk, mye likt en fremmedspråklig som forsøker å snakke språket ditt. Microsoft har ikke ansvar for unøyaktige opplysninger, feil eller skade forårsaket av feilaktig oversettelse av innholdet eller kundenes bruk av informasjonen. Microsoft oppdaterer jevnlig maskinoversettelsesprogramvaren og -verktøyene for å forbedre redigering av maskinoversatte tekster.

Den engelske versjonen av denne artikkelen er den følgende: 2715633
Obs! Denne artikkelen presenterer mellomlaget feilmeldinger. Hvis du er en sluttbruker, kan du prøve oppløsning Når det oppstår en shim feil "Må du aktivere .NET Framework fra dialogboksen Windows-funksjoner." For alle andre shim-feil, målgruppen for innholdet, er det app programleverandøren eller utvikleren, må du kontakte leverandøren app for å gi beskjed om at det er et problem for dette programmet.
Feil: "Du må aktivere .NET Framework fra dialogboksen Windows-funksjoner"
Feilmelding
Dette programmet kunne ikke startes. Du må aktivere .NET Framework fra dialogboksen Windows-funksjoner (i Kontrollpanel, velg "Programmer og funksjoner", slå Windows-funksjoner på eller av).
Årsak
Dette problemet oppstår fordi programmet ikke er konfigurert på en måte som gjør det mulig å finne den riktige versjonen av .NET Framework runtime. Tilsvarende shim-kode er SHIM_GOTO_CONTROLPANEL.
Løsning
Hvis du vil løse problemet, aktiverer du .NET Framework 3.5 som er en funksjon i operativsystemet til Windows 7 og Windows 8.

For Windows 8

.NET Framework 3.5 er som standard deaktivert på Windows 8. Hvis du vil aktivere den, gjør du følgende:
  1. I oppstartsskjermbildet, skriver du inn de første bokstavene iI Kontrollpanel, og velg deretterI Kontrollpanelfra listen over programmer.
  2. II Kontrollpanel, velger duProgrammer. (Eller velgProgrammer og funksjonerHvis du ikke bruker den standard kategorivisning.)
  3. IProgrammer og funksjoner, velger duSlå Windows-funksjoner på eller avÅpne denWindows-funksjonerdialogboksen.
  4. IWindows-funksjoner, velger du.NET framework 3.5 (inkluderer .NET 2.0 og 3.0)Merk av i boksen, og velg deretterOK.

For Windows 7

.NET Framework 3.5 er som standard aktivert på Windows 7, slik at denne feilen oppstår bare hvis funksjonen tidligere var deaktivert. Hvis du vil aktivere .NET Framework 3.5, gjør du følgende:
  1. Velg Start-menyenI Kontrollpanel.
  2. II Kontrollpanel, velger duProgrammer. (Eller velgProgrammer og funksjonerHvis du ikke bruker den standard kategorivisning.)
  3. IProgrammer og funksjoner, velger duSlå Windows-funksjoner på eller avÅpne denWindows-funksjonerdialogboksen.
  4. IWindows-funksjoner, velger duMicrosoft .NET Framework 3.5.1-funksjonerMerk av i boksen, og velg deretterOK.

Tredjepartsløsning ansvarsfraskrivelse

Informasjonen og løsningen i dette dokumentet representerer synspunktene Microsoft Corporation har på disse problemene, etter publiseringsdatoen. Denne løsningen er tilgjengelig via Microsoft eller en tredjepartsleverandør. Anbefaler vi ikke spesielt noen tredjepartsleverandør eller tredjepartsløsning som denne artikkelen beskriver. Det kan også være andre tredjepartsleverandører eller tredjepartsløsninger som denne artikkelen ikke beskriver. Fordi vi må forholde seg til skiftende markedsforhold, må denne informasjonen ikke tolkes som en forpliktelse av Microsoft. Vi kan ikke garantere eller støtte nøyaktigheten av enhver type informasjon eller løsning som presenteres av Microsoft eller tredjeparts leverandører nevnt.

Microsoft gir ingen garantier og utelukker alle representasjoner, garantier og betingelser om UTTRYKTE, underforståtte eller lovfestede. Dette inkluderer, men er ikke begrenset til, representasjoner, garantier eller betingelser for tittel, overholdelse, tilfredsstillende betingelser, salgbarhet og anvendelighet for særskilte formål, med hensyn til alle tjenester, løsning, produkt, eller andre materialer eller informasjon. Ikke i noe tilfelle skal Microsoft være ansvarlig for en tredjepartsløsning som er nevnt i denne artikkelen.

Feil: "Dette programmet kan ikke starte"
Feilmelding
Dette programmet kunne ikke startes.
Årsak
Programmet er ikke konfigurert på en måte som gjør det mulig å finne den riktige versjonen av .NET Framework runtime. Tilsvarende shim-kode er SHIM_NOVERSION_FOUND.
Løsning
Du kan ikke løse problemet konfigurasjon selv. Kontakt applikasjonsleverandøren for å løse problemet.
Feil: "det er avhengig av en .NET Framework-versjon som ikke støttes av denne enheten"
Feilmelding
Dette programmet kunne ikke startes. Den er avhengig av en .NET Framework-versjon som ikke støttes av denne enheten.
Årsak
Dette problemet oppstår fordi programmet ikke ble bygget for å kjøre på denne enheten. For eksempel kan du prøver å kjøre et program som er bygd på en enhet som bruker en ARM-prosessor for en Intel-prosessor. Tilsvarende shim-kode er SHIM_UNSUPPORTED_PLATFORM.
Løsning
Du kan ikke løse problemet konfigurasjon selv. Kontakt leverandøren app Hvis du vil installere den riktige versjonen av programmet.
Om feilmeldinger for mellomlaget
Når du starter et Microsoft .NET Framework-program, et program for mellomlaget bestemmer hvilken versjon av common language runtime (CLR) til å laste inn laster den og starter programmet. Hvis mellomlaget oppstår en feil (for eksempel, hvis den ikke finner en kompatibel versjon av .NET Framework på datamaskinen), vises en feilmelding med instruksjoner. Denne artikkelen inneholder informasjon om feilkoder, SHIM_NOVERSION_FOUND, SHIM_GOTO_CONTROLPANELog SHIM_UNSUPPORTED_PLATFORM.

Hvis du vil ha mer informasjon om .NET Framework-initialisering feil, gå og se den følgende MSDN-websiden:

Advarsel: Denne artikkelen er autooversatt

Egenskaper

Artikkel-ID: 2715633 – Forrige gjennomgang: 07/03/2016 16:33:00 – Revisjon: 9.0

Microsoft .NET Framework 4.5

  • kbquadranttechsupp kbconsumer kbsurveynew kbtshoot kbexpertiseinter kbmt KB2715633 KbMtno
Tilbakemelding